<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE mapper
	PUBLIC '-//mybatis.org//DTD Mapper 3.0//EN'
	'http://mybatis.org/dtd/mybatis-3-mapper.dtd'>
<mapper namespace='com.njcn.mapper.configuration.SysMapper'>


	<select id="getListMenu" resultType="MenuEntity">
		select a.function_index guid,a.path path,a.parentnode parentNode from pqs_function a, pqs_rolefunction b where
		a.function_index = b.function_index
		and b.role_index in
		<foreach collection="list" item="item" open="(" separator="," close=")">
			#{item}
		</foreach>
		and a.state = 1 and a.systype = #{sysType}
	</select>
</mapper>